package coolbot;

import javax.media.opengl.GL;

import world.GameWorld;

public class World extends GameWorld {
	
	public World(GL gl) {
		super(gl);
	}
	
	protected void addGameObjects(GL gl) {
		
		objects.add(new GameMaster());
		
		objects.add(new Player());
		
		objects.add(new GameLight(0));
		((GameLight) objects.get(2)).setPosition(0, 1000, 0);
		
		objects.add(new Map(10000, 2000, 10000));
		
		objects.add(new Skybox());
		
		objects.add(new Rocket());
		
		for(int i = 0; i < 10; i++)
			objects.add(new Coolbot((int) (Math.random() * 4500 - 2250), (int) (Math.random() * 4500 - 2250)));
	}
}